## choose-mirror 0.045ubuntu8

=== Makefile ===
CFLAGS=-Wall -g -D_GNU_SOURCE -DWITH_HTTP -DWITH_FTP
OBJS=$(subst .c,.o,$(wildcard *.c))
BIN=choose-mirror
LIBS=-ldebconfclient -ldebian-installer
MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain

ifdef DEBUG
CFLAGS:=$(CFLAGS) -DDODEBUG
endif

all: $(BIN) debian/choose-mirror.templates

# Freshen Mirrors.masterlist file, but allow failure.
Mirrors.masterlist: force-try-update
	# do nothing

fakeentry:
	if [ "$$ONLINE" != n ]; then \
		if wget -nv '$(MIRRORLISTURL)' -O - > $@.new && \
		   test -s $@.new; then \
        		mv $@.new $@; \
		else \
			rm -f $@.new; \
		fi; \
	fi
force-try-update: ;

debian/choose-mirror.templates: Mirrors.masterlist debian/templates-in
	./makeheader.pl template
	cat debian/templates-in debian/templates-countries > debian/choose-mirror.templates

mirrors_http.h: Mirrors.masterlist
	./makeheader.pl http
	
mirrors_ftp.h: Mirrors.masterlist
	./makeheader.pl ftp

choose-mirror.o: mirrors_http.h mirrors_ftp.h

$(BIN): $(OBJS)
	$(CC) -o $(BIN) $(OBJS) $(LIBS) $(LDFLAGS)

strip: $(BIN)
	strip --remove-section=.comment --remove-section=.note $(BIN)

# Size optimized and stripped binary target.
small: CFLAGS:=-Os $(CFLAGS) -DSMALL
small: clean strip debian/choose-mirror.templates
	ls -l $(BIN)

ftp: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_FTP -DSMALL
ftp: clean strip
	ls -l $(BIN)

http: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_HTTP -DSMALL
http: clean strip
	ls -l $(BIN)

clean:
	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
	rm -f debian/templates-countries
	rm -f demo demo.templates

reallyclean:
	rm -f debian/choose-mirror.templates Mirrors.masterlist

.PHONY: demo
demo: choose-mirror demo.templates
	ln -sf choose-mirror demo
	DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./demo

demo.templates: debian/choose-mirror.templates
	po2debconf $< > $@

=== debian/changelog ===
choose-mirror (0.045ubuntu8) warty; urgency=low

  * Updated translations:
    - Catalan (ca.po) by Jordi Mallach
    - German (de.po) by Martin Pitt
    - Greek (el.po) by Logiotatidis George
    - French (fr.po) by VETSEL Patrice

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 14:29:41 +0100

choose-mirror (0.045ubuntu7) warty; urgency=low

  * Move from ftp.no-name-yet.com to archive.ubuntu.com.
  * Along the way, fix "ftp.no-name-yet-com", although choose-mirror managed
    to tolerate the typo.
  * Drop Maintainer: line from Mirrors.masterlist. It's not really needed
    for the master site.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 20:34:05 +0100

choose-mirror (0.045ubuntu6) warty; urgency=low

  * Tollef Fog Heen
    - Ubuntu branding.
  * Colin Watson
    - Update most translations.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 16 Aug 2004 20:52:33 +0100

choose-mirror (0.045ubuntu5) warty; urgency=low

  * Use ftp.no-name-yet-com in place of auckland.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Sat, 31 Jul 2004 18:23:05 +0200

choose-mirror (0.045ubuntu4) warty; urgency=low

  * Attempt to contact auckland before asking proxy information.
  * Fix a possible memory leak in validate_mirror.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Sun, 25 Jul 2004 11:03:28 +0200

choose-mirror (0.045ubuntu3) warty; urgency=low

  * Change template to use a sane default and fix a failure when
    DEBCONF_PRIORITY=critical

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 15 Jul 2004 10:32:35 +0200

choose-mirror (0.045ubuntu2) warty; urgency=low

  * Disable automatic update of Mirrors.masterlist.
  * Start to add our mirrors to Mirrors.masterlist.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 07 Jul 2004 15:25:56 +0200

choose-mirror (0.045ubuntu1) warty; urgency=low

  * Replace "stable, testing, unstable" choices for mirror/suite with
    "warty, hoary".
  * Default to installing warty.
  * Ask for the choice of suite only at low priority for now.

 -- Colin Watson <cjwatson@flatline.org.uk>  Tue,  6 Jul 2004 00:58:22 +0100

choose-mirror (0.045) unstable; urgency=low

  * Christian Perrier
    - Ellipsis typography fixed
  * Updated translations: 
    - Spanish (Castilian) (es.po) by Javier Fernández-Sanguino
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Russian (ru.po) by Nikolai Prokoschenko

 -- Joey Hess <joeyh@debian.org>  Tue, 25 May 2004 12:44:37 -0300

choose-mirror (0.044) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Finnish (fi.po) by Tapio Lehtonen
    - Bokmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 13:24:27 -0400

choose-mirror (0.043) unstable; urgency=low

  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - Gallegan (gl.po) by Héctor Fernández López
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Giuseppe Sacco
    - Bokmal, Norwegian (nb.po) by Axel Bojer
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Nikolai Prokoschenko
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Turkish (tr.po) by Osman Yüksel
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Apr 2004 11:15:36 -0400

choose-mirror (0.042) unstable; urgency=low

  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - English (en.po) by Joey Hess
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÃK IstvÃ¡n
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by KÄstutis BiliÅ«nas
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by AndrÃ© LuÃ­s Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Slovenian (sl.po) by Jure Äuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by AndrÃ© Dahlqvist
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 2004 18:37:27 -0400

choose-mirror (0.041) unstable; urgency=low

  * Joey Hess
    - Make the postinst thunk to a choose-mirror binary again, so
      other things than the main-menu can call choose-mirror as needed.
    - Mirror list updated automatically.
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - English (en.po) by Joey Hess
    - Basque (eu.po) by Piarres Beobide EgaÃ±a
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by HÃ©ctor FernÃ¡ndez LÃ³pez
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÃK IstvÃ¡n
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by KÄstutis BiliÅ«nas
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by AndrÃ© LuÃ­s Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Albanian (sq.po) by Elian Myftiu
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Apr 2004 00:24:21 -0400

choose-mirror (0.040) unstable; urgency=low

  * Joshua Kwan


=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Joshua Kwan <joshk@triplehelix.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.47), wget, po-debconf (>= 0.5.0), libdebian-installer-dev

Package: choose-mirror
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, configured-network
XB-Installer-Menu-Item: 20
Description: Choose mirror to install from
 Lets the user pick a mirror that the Debian installer will install from.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) small
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp debian/choose-mirror.postinst
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install choose-mirror bin

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## choose-mirror 1.06ubuntu17

=== Makefile ===
--- 
+++ 
@@ -12,9 +12,6 @@
 
 # Freshen Mirrors.masterlist file, but allow failure.
 Mirrors.masterlist: force-try-update
-	# do nothing
-
-fakeentry:
 	if [ "$$ONLINE" != n ]; then \
 		if wget -nv '$(MIRRORLISTURL)' -O - > $@.new && \
 		   test -s $@.new; then \
@@ -25,14 +22,25 @@
 	fi
 force-try-update: ;
 
-debian/choose-mirror.templates: Mirrors.masterlist debian/templates-in
-	./makeheader.pl template
-	cat debian/templates-in debian/templates-countries > debian/choose-mirror.templates
+debian/httplist-countries:
+	./makeheader.pl httplist
 
-mirrors_http.h: Mirrors.masterlist
+debian/ftplist-countries:
+	./makeheader.pl ftplist
+
+debian/choose-mirror.templates-in: debian/templates-in
+	debian/templates-build.pl $(DEB_HOST_ARCH) < $< > $@
+
+debian/choose-mirror.templates: Mirrors.masterlist.ubuntu debian/choose-mirror.templates-in debian/httplist-countries debian/ftplist-countries
+	# Grab ISO codes from iso-codes package
+	./get-iso-codes
+	# Build the templates
+	./mktemplates
+
+mirrors_http.h: Mirrors.masterlist.ubuntu
 	./makeheader.pl http
-	
-mirrors_ftp.h: Mirrors.masterlist
+
+mirrors_ftp.h: Mirrors.masterlist.ubuntu
 	./makeheader.pl ftp
 
 choose-mirror.o: mirrors_http.h mirrors_ftp.h
@@ -58,7 +66,8 @@
 
 clean:
 	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
-	rm -f debian/templates-countries
+	rm -f debian/templates-countries debian/httplist-countries debian/ftplist-countries
+	rm -f debian/templates debian/choose-mirror.templates-in
 	rm -f demo demo.templates
 
 reallyclean:

=== debian/changelog ===
choose-mirror (1.06ubuntu17) hoary; urgency=low

  * Update Norwegian Bokmål translation (thanks, Terance Edward Sola).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 16:46:31 +0100

choose-mirror (1.06ubuntu16) hoary; urgency=low

  * Update Greek translation (thanks, Giorgos Logiotatidis).
  * Update Romanian translation (thanks, Ovidiu Damian).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 16:28:15 +0100

choose-mirror (1.06ubuntu15) hoary; urgency=low

  * Update Spanish translation (thanks, Enrique Matías Sánchez).
  * Update Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 Mar 2005 18:45:44 +0100

choose-mirror (1.06ubuntu14) hoary; urgency=low

  * Update Hungarian translation (thanks, Gabor Burjan).
  * Update Polish translation (thanks, Dominik Zabłotny).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2005 20:11:32 +0100

choose-mirror (1.06ubuntu13) hoary; urgency=low

  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Update German translation (thanks, Herbert Straub).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 01:14:13 +0000

choose-mirror (1.06ubuntu12) hoary; urgency=low

  * Build templates.pot from templates-in, not choose-mirror.templates-in,
    and *really* regenerate it without country code msgids this time.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Mar 2005 01:23:09 +0000

choose-mirror (1.06ubuntu11) hoary; urgency=low

  * Arrange for country code msgids not to show up in debian/po/*, to fix
    translation statistics.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Mar 2005 16:50:47 +0000

choose-mirror (1.06ubuntu10) hoary; urgency=low

  * Switch to new country list build system, fixing it up in the process so
    that it works. This should give us much better country code
    translations, and a properly sorted country list in all languages.
    - Generate a fake debian/iso-codes/en.po.
    - New map-cc script to map msgids (English country names) in iso-codes
      .po files back to country codes, so that we can continue using country
      codes as the untranslated choices.
    - Build-depend on iso-codes.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Mar 2005 13:23:45 +0000

choose-mirror (1.06ubuntu9) hoary; urgency=low

  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 13:56:44 +0000

choose-mirror (1.06ubuntu8) hoary; urgency=low

  * Remove ${countryprefix} from mirror/*/mirror default.
  * Change mirror/*/countries and mirror/*/mirror priorities back to high.
    It turns out to be incredibly awkward to use a local mirror otherwise,
    even with preseeding; and these questions aren't on the CD install path.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2005 17:03:53 +0000

choose-mirror (1.06ubuntu7) hoary; urgency=low

  * SUBSTing into a template's Default: is defined not to work, which broke
    per-location mirror defaults. Use SET instead.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  7 Mar 2005 17:54:36 +0000

choose-mirror (1.06ubuntu6) hoary; urgency=low

  * Fix country sorting issue (don't split on backslash-escaped commas).
  * Add FTP mirrors, to work around sort-countries problems when none are
    defined.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  5 Mar 2005 16:11:11 +0000

choose-mirror (1.06ubuntu5) hoary; urgency=low

  * Build-depend on locales for /usr/share/i18n/SUPPORTED.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Mar 2005 18:43:24 +0000

choose-mirror (1.06ubuntu4) hoary; urgency=low

  * Generate CC.archive.ubuntu.com mirror listings for every CC in
    /usr/share/zoneinfo/iso3166.tab.
  * Pick CC.archive.ubuntu.com (for the location selected in the installer)
    as the default mirror.
  * Update English translations from iso-codes. Other languages still need
    to have this done.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Mar 2005 17:47:03 +0000

choose-mirror (1.06ubuntu3) hoary; urgency=low

  * Mirrors.masterlist.ubuntu:
    - Fix Archive-rsync: line for archive.ubuntu.com.
    - Add sparc.ubuntu.com.
    - Add Architectures: lines, so that sparc.ubuntu.com can be recorded as
      sparc-only.
  * debian/templates-in: Set sparc.ubuntu.com/ubuntu-sparc/ as default for
    sparc.
  * debian/templates-build.pl, makeheader.pl, Makefile: Add architecture
    handling.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  3 Feb 2005 10:31:37 +0000

choose-mirror (1.06ubuntu2) hoary; urgency=low

  * Set default country to GB, since that's where the Ubuntu master site is.
  * Drop priorities of mirror/*/countries and mirror/*/mirror questions to
    medium.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  1 Jan 2005 23:49:26 +0000

choose-mirror (1.06ubuntu1) hoary; urgency=low

  * Merge from Debian.
  * Update debian/templates-in so that debian/choose-mirror.templates gets
    generated properly.
  * Create a separate Mirrors.masterlist.ubuntu, to aid merging.
  * Mark "warty, hoary" string as untranslatable.
  * Default to hoary.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 26 Oct 2004 13:43:55 +0100

choose-mirror (1.06) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino PeÃ±a
    - Basque (eu.po) by Piarres Beobide EgaÃ±a
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VEROK Istvan
    - Indonesian (id.po) by Debian Indonesia Team
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu


=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.47), wget, po-debconf (>= 0.5.0), libdebian-installer-dev, locales, iso-codes

Package: choose-mirror
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, configured-network
XB-Installer-Menu-Item: 23
Description: Choose mirror to install from
 Lets the user pick a mirror that the Debian installer will install from.

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,17 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
+	chmod u+x get-iso-codes intltool-merge mktemplates
 	$(MAKE) small
+
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp debian/choose-mirror.postinst
+	rm -f debian/templates.tmp debian/choose-mirror.templates
+	rm -rf debian/iso-codes debian/pobuild
 	$(MAKE) clean
 	dh_clean
 
@@ -25,6 +29,10 @@
 	dh_testdir
 	dh_testroot
 	dh_installdebconf
+	# Sort countries (including in translations)
+	# MUST be after dh_installdebconf
+	chmod u+x ./sort-countries
+	./sort-countries
 	dh_strip
 	dh_compress
 	dh_fixperms

## choose-mirror 1.07sarge1

=== Makefile ===
--- 
+++ 
@@ -22,26 +22,19 @@
 	fi
 force-try-update: ;
 
-debian/httplist-countries:
+debian/choose-mirror.templates:  Mirrors.masterlist debian/templates-in
+	./makeheader.pl template
+	cat debian/templates-in debian/templates-countries > debian/choose-mirror.templates
+
+mirrors_http.h: Mirrors.masterlist
+	./makeheader.pl http
+	# Unused yet
 	./makeheader.pl httplist
-
-debian/ftplist-countries:
+	
+mirrors_ftp.h: Mirrors.masterlist
+	./makeheader.pl ftp
+	# Unused yet
 	./makeheader.pl ftplist
-
-debian/choose-mirror.templates-in: debian/templates-in
-	debian/templates-build.pl $(DEB_HOST_ARCH) < $< > $@
-
-debian/choose-mirror.templates: Mirrors.masterlist.ubuntu debian/choose-mirror.templates-in debian/httplist-countries debian/ftplist-countries
-	# Grab ISO codes from iso-codes package
-	./get-iso-codes
-	# Build the templates
-	./mktemplates
-
-mirrors_http.h: Mirrors.masterlist.ubuntu
-	./makeheader.pl http
-
-mirrors_ftp.h: Mirrors.masterlist.ubuntu
-	./makeheader.pl ftp
 
 choose-mirror.o: mirrors_http.h mirrors_ftp.h
 
@@ -67,7 +60,6 @@
 clean:
 	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
 	rm -f debian/templates-countries debian/httplist-countries debian/ftplist-countries
-	rm -f debian/templates debian/choose-mirror.templates-in
 	rm -f demo demo.templates
 
 reallyclean:

=== debian/changelog ===
choose-mirror (1.07sarge1) oldstable; urgency=low

  * Add support for installing oldstable.
  * Update mirror list.
  * Add translations (from iso-codes) for Venezuela for the HTTP country list.
  * Update translations with thanks to translators.

 -- Frans Pop <fjp@debian.org>  Sun,  6 May 2007 22:00:59 +0000

choose-mirror (1.07) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Guillem Jover
    - Welsh (cy.po) by Dafydd Harries
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Italian (it.po) by Stefano Canepa
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Dmitry Beloglazov
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Traditional Chinese (zh_TW.po) by Tetralet
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña

 -- Joey Hess <joeyh@debian.org>  Fri, 25 Feb 2005 19:33:22 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>
-Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.47), wget, po-debconf (>= 0.5.0), libdebian-installer-dev, locales, iso-codes
+Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.47), wget, po-debconf (>= 0.5.0), libdebian-installer-dev
 
 Package: choose-mirror
 XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,22 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	chmod u+x get-iso-codes intltool-merge mktemplates
 	$(MAKE) small
+
+	# C. Perrier 2/7/2004
+	# DO NOT actually uncomment these
+	# the scripts have not been tested enough
+	# we'd better include this for post-rc1
+	# Grab ISO codes from iso-codes package
+	#chmod u+x ./get-iso-codes
+	#./get-iso-codes
+	# Yes, we use this one, embarked, because it has been
+	# hacked for using partial translations in lists
+	#chmod u+x ./intltool-merge
+	# Build the templates
+	#chmod u+x ./mktemplates
+	#./mktemplates
+	# END of do not uncomment
 
 	touch build-stamp
 
@@ -12,8 +26,6 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp debian/choose-mirror.postinst
-	rm -f debian/templates.tmp debian/choose-mirror.templates
-	rm -rf debian/iso-codes debian/pobuild
 	$(MAKE) clean
 	dh_clean

## choose-mirror 1.11-0.0.0.1.pure64

=== Makefile ===
--- 
+++ 
@@ -22,19 +22,23 @@
 	fi
 force-try-update: ;
 
-debian/choose-mirror.templates:  Mirrors.masterlist debian/templates-in
-	./makeheader.pl template
-	cat debian/templates-in debian/templates-countries > debian/choose-mirror.templates
+debian/httplist-countries:
+	./mirrorlist httplist
+
+debian/ftplist-countries:
+	./mirrorlist ftplist
+
+debian/choose-mirror.templates: Mirrors.masterlist debian/choose-mirror.templates-in debian/httplist-countries debian/ftplist-countries
+	# Grab ISO codes from iso-codes package
+	./get-iso-codes
+	# Build the templates
+	./mktemplates
 
 mirrors_http.h: Mirrors.masterlist
-	./makeheader.pl http
-	# Unused yet
-	./makeheader.pl httplist
-	
+	./mirrorlist http
+
 mirrors_ftp.h: Mirrors.masterlist
-	./makeheader.pl ftp
-	# Unused yet
-	./makeheader.pl ftplist
+	./mirrorlist ftp
 
 choose-mirror.o: mirrors_http.h mirrors_ftp.h
 
@@ -61,6 +65,7 @@
 	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
 	rm -f debian/templates-countries debian/httplist-countries debian/ftplist-countries
 	rm -f demo demo.templates
+	rm -rf debian/iso-codes debian/pobuild
 
 reallyclean:
 	rm -f debian/choose-mirror.templates Mirrors.masterlist

=== debian/changelog ===
choose-mirror (1.11-0.0.0.1.pure64) unstable; urgency=low

  * Rebuild against sarge, so it can be installed

 -- Kurt Roeckx <kurt@roeckx.be>  Thu,  9 Jun 2005 19:20:09 +0200

choose-mirror (1.11) unstable; urgency=low

  * Colin Watson
    - Support Archive-architecture: in Mirrors.masterlist. Architectures are
      space-separated, e.g. "i386 amd64"; lines of the form "!hurd-i386
      !netbsd-i386" are supported to say that the archive has all but the
      listed architectures, although that should be used with caution.
    - List country codes as C choices for mirror/*/countries, and add a
      Choices-en.UTF-8 with the English country names (closes: #311021).
    - Add myself to Uploaders.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Hebrew (he.po) by Lior Kaplan
    - Italian (it.po) by Giuseppe Sacco
    - Korean (ko.po) by Changwoo Ryu
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Albanian (sq.po) by Elian Myftiu
    - Turkish (tr.po) by Recai Oktaş

 -- Colin Watson <cjwatson@debian.org>  Wed,  1 Jun 2005 01:35:58 +0100

choose-mirror (1.10) unstable; urgency=low

  * Colin Watson
    - Remove English "translation", obsoleted by new build system.
    - Fix country sorting (don't split on backslash-escaped commas). Closes: #307989
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Kostas Papadimas
    - Spanish (es.po) by Enrique Matias Sanchez
    - Basque (eu.po) by n
    - Italian (it.po) by Stefano Canepa
    - Japanese (ja.po) by Kenshi Muto
    - Dutch (nl.po) by Bart Cornelis
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Wed, 18 May 2005 12:41:53 -0400

choose-mirror (1.09) unstable; urgency=low

  * Colin Watson
    - Build-depend on iso-codes. Closes: #307500
    - Remove debian/templates.tmp, debian/iso-codes, and debian/pobuild on
      clean.
    - Don't ship debian/choose-mirror.templates in the source package; it
      can be built at build time.
    - Convert translations to UTF-8 before merging them. Fixes Croatian,
      French, and Polish templates.
    - Move mirror/http/countries and mirror/ftp/countries into
      debian/choose-mirror.templates-in (without the generated list of
      country codes) so that they still get translated.
  * Joey Hess
    - Rename README.new to README.
    - Make sort-countries executable and remove chmod stuff in debian/rules.
    - Remove various obsolete comments.
    - Rename makeheader.pl to mirrorlist to reflect its expanded capabilities.
    - Some code cleanup in mirrorlist.
    - Further improve file cleanups.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team

 -- Joey Hess <joeyh@debian.org>  Tue,  3 May 2005 23:03:13 -0400

choose-mirror (1.08) unstable; urgency=low

  * Colin Watson
    - Build-depend on locales.
    - Exec choose-mirror in postinst (saves a process).
  * Christian Perrier
    - Add self to Uploaders
    - debian/rules: Activate the code to grab country names
      and translations from iso-codes, saving double work to
      translators.
      Closes: #242689
    - templates-in: renamed to choose-mirror.templates-in
    - choose-mirror.templates-in:
      Add details about specifying an alternate port for
      HTTP and FTP mirror hostnames.
      Closes: #253575

 -- Christian Perrier <bubulle@debian.org>  Sun,  1 May 2005 20:12:37 +0200

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.47), wget, po-debconf (>= 0.5.0), libdebian-installer-dev, locales, iso-codes

Package: choose-mirror
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, configured-network
XB-Installer-Menu-Item: 23
Description: Choose mirror to install from

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) small

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean debian/choose-mirror.templates

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install choose-mirror bin

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	# Sort countries (including in translations)
	# MUST be after dh_installdebconf
	./sort-countries
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## choose-mirror 1.14ubuntu2

=== Makefile ===
--- 
+++ 
@@ -2,16 +2,22 @@
 OBJS=$(subst .c,.o,$(wildcard *.c))
 BIN=choose-mirror
 LIBS=-ldebconfclient -ldebian-installer
-MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain
+
+# Derivative distributions may want to change these.
+#MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain
+MASTERLIST=Mirrors.masterlist.ubuntu
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG
+else
+CFLAGS:=$(CFLAGS) -Os -fomit-frame-pointer
 endif
 
 all: $(BIN) debian/choose-mirror.templates
 
+ifdef MIRRORLISTURL
 # Freshen Mirrors.masterlist file, but allow failure.
-Mirrors.masterlist: force-try-update
+$(MASTERLIST): force-try-update
 	if [ "$$ONLINE" != n ]; then \
 		if wget -nv '$(MIRRORLISTURL)' -O - > $@.new && \
 		   test -s $@.new; then \
@@ -21,24 +27,25 @@
 		fi; \
 	fi
 force-try-update: ;
+endif
 
-debian/httplist-countries:
-	./mirrorlist httplist
+debian/httplist-countries: $(MASTERLIST)
+	./mirrorlist httplist $^
 
-debian/ftplist-countries:
-	./mirrorlist ftplist
+debian/ftplist-countries: $(MASTERLIST)
+	./mirrorlist ftplist $^
 
-debian/choose-mirror.templates: Mirrors.masterlist debian/choose-mirror.templates-in debian/httplist-countries debian/ftplist-countries
+debian/choose-mirror.templates: $(MASTERLIST) debian/choose-mirror.templates-in debian/httplist-countries debian/ftplist-countries
 	# Grab ISO codes from iso-codes package
 	./get-iso-codes
 	# Build the templates
 	./mktemplates
 
-mirrors_http.h: Mirrors.masterlist
-	./mirrorlist http
+mirrors_http.h: $(MASTERLIST)
+	./mirrorlist http $^
 
-mirrors_ftp.h: Mirrors.masterlist
-	./mirrorlist ftp
+mirrors_ftp.h: $(MASTERLIST)
+	./mirrorlist ftp $^
 
 choose-mirror.o: mirrors_http.h mirrors_ftp.h
 
@@ -67,8 +74,11 @@
 	rm -f demo demo.templates
 	rm -rf debian/iso-codes debian/pobuild
 
-reallyclean:
-	rm -f debian/choose-mirror.templates Mirrors.masterlist
+reallyclean: clean
+	rm -f debian/choose-mirror.templates
+ifdef MIRRORLISTURL
+	rm -f Mirrors.masterlist
+endif
 
 .PHONY: demo
 demo: choose-mirror demo.templates

=== debian/changelog ===
choose-mirror (1.14ubuntu2) breezy; urgency=low

  * We only really support installing the default suite, so never ask
    mirror/suite, and mark it untranslatable. This removes two strings that
    are awkward for derivatives to brand. Advanced users can preseed
    mirror/suite if they really don't want to go with the default.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jul 2005 18:27:10 +0100

choose-mirror (1.14ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Jul 2005 15:46:26 +0100

choose-mirror (1.14) unstable; urgency=low

  * Updated translations:
    - Indonesian (id.po) by Arief S Fitrianto
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Vietnamese (vi.po) added by Clytie Siddall

 -- Christian Perrier <bubulle@debian.org>  Wed,  6 Jul 2005 21:06:34 +0200

choose-mirror (1.13ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Mirrors.masterlist.ubuntu updates:
    - Replace Architectures with Archive-architecture.
    - Add $CC.archive.ubuntu.com, using new support for wildcard DNS
      entries.
  * Drop mirrorlist hack for $CC.archive.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Jul 2005 21:15:26 +0100

choose-mirror (1.13) unstable; urgency=low

  * Joey Hess
    - Turn on -Os and -fomit-frame-pointer, doesn't save much space tho.
    - Switch PREFERRED_DISTRIBUTION to etch.
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Jun 2005 21:28:30 -0400

choose-mirror (1.12) unstable; urgency=low

  * Colin Watson
    - Switch to using iso_3166.xml rather than the deprecated iso_3166.tab,
      by the crude method of copying iso3166tab.py from the iso-codes source
      to convert it to the old .tab format for us on the fly.
    - Build-depend on the first version of iso-codes that shipped
      /usr/share/xml/iso-codes/iso_3166.xml.
    - Allow an alternate location for Mirrors.masterlist to be given on the
      mirrorlist command line, and add Makefile support for this.
    - 'make reallyclean' now depends on 'make clean'.
    - Start counting site ids at 0 in mirrorlist.
    - Support wildcard-DNS-style entries in Mirrors.masterlist, that get
      expanded out to one entry for every country code in iso_3166.xml.
    - Give debian/choose-mirror.templates the same mtime as
      debian/choose-mirror.templates-in, so that po2debconf doesn't decide
      that it needs to run debconf-updatepo on every binary package build.
    - Add the facility to have different default mirrors, directories, etc.
      on different architectures.
    - Set a reasonable (per #debian-amd64) default mirror for amd64.
  * Updated translations:
    - Romanian (ro.po) by Eddy Petrişor

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Jun 2005 17:25:44 +0100

choose-mirror (1.11ubuntu2) breezy; urgency=low

  * Switch default mirror for hppa, ia64, and sparc to
    ports.ubuntu.com/ubuntu-ports/.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Jun 2005 12:59:59 +0100

choose-mirror (1.11ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  2 Jun 2005 18:48:40 +0100

choose-mirror (1.09ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Fix Catalan branding.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  9 May 2005 13:39:49 +0100

choose-mirror (1.07ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Switch hppa, ia64, and sparc to ports.ubuntu.com (for when it exists).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Apr 2005 20:00:09 +1000

choose-mirror (1.06ubuntu18) breezy; urgency=low

  * Set PREFERRED_DISTRIBUTION to breezy.
  * Add breezy to mirror/suite choices, and make it the default.
  * Update mirror/suite description.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Apr 2005 14:57:51 +0100

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.47), wget, po-debconf (>= 0.5.0), libdebian-installer-dev, locales, iso-codes (>= 0.35-1), python, python-xml

Package: choose-mirror
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, configured-network
XB-Installer-Menu-Item: 23
Description: Choose mirror to install from

## choose-mirror 2.04ubuntu2

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.47), wget, po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41), locales, iso-codes (>= 0.35-1), python, python-xml

Package: choose-mirror
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 23
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.10ubuntu2

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: choose-mirror
 Section: debian-installer
 Priority: extra
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.47), wget, po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41), locales, iso-codes (>= 0.35-1), python, python-xml
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/choose-mirror
 
 Package: choose-mirror
 XC-Package-Type: udeb

## choose-mirror 2.13

=== debian/changelog ===
choose-mirror (2.13) unstable; urgency=low

  [ Joey Hess ]
  * Add a warning message about missing archive-architecture fields in
    Mirrors.masterlist.
  * Generate valid templates that won't crash cdebconf when there are no
    mirrors for a given arch.

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 17:38:13 +0100

choose-mirror (2.12) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Latvian (lv.po) by Aigars Mahinovs
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:29:29 +0100

choose-mirror (2.11) unstable; urgency=low

  * Enable ftp support again, but without the option to select country/mirror
    to limit the size increase of the udeb. Closes: #377032.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Panjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Fri, 29 Dec 2006 04:24:19 +0100

choose-mirror (2.10) unstable; urgency=low

  * Rebuilt after discovering typos in Mirrors.masterlist

 -- Christian Perrier <bubulle@debian.org>  Sat,  2 Dec 2006 15:16:17 +0100

choose-mirror (2.09) unstable; urgency=low

  [ Colin Watson ]
  * sort-countries: Defend against stale list.* and sortedlist.* files from
    previous aborted sort-countries runs.

  [ Christian Perrier ]
  * Rebuilt after cleanups in Mirrors.masterlist

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hungarian (hu.po) by SZERVÁC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Panjabi (pa.po) by A S Alam
  * Swedish (sv.po) by Daniel Nylander

 -- Christian Perrier <bubulle@debian.org>  Sat,  2 Dec 2006 14:02:46 +0100

choose-mirror (2.08) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hindi (hi.po) by Nishant Sharma
  * Kurdish (ku.po) by Erdal Ronahi
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 14:19:38 +0200

choose-mirror (2.07) unstable; urgency=low

  * Rebuild with latest Mirrors.masterlist. (Notably, without
    archive.progeny.com)

  [ Updated translations ]
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Estonian (et.po) by Siim Põder
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Oct 2006 19:08:31 -0400

choose-mirror (2.06) unstable; urgency=low

  * Rebuild with latest Mirrors.masterlist.

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (???? ??? ???)
  * Basque (eu.po) by Piarres Beobide
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Albanian (sq.po) by Elian Myftiu
  * Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Oct 2006 15:41:52 -0400

choose-mirror (2.05) unstable; urgency=low

  [ Christian Perrier ]
  * Rebuild because of recent Mirrors.masterlist changes. Closes: #385316

 -- Joey Hess <joeyh@debian.org>  Thu, 31 Aug 2006 16:52:06 -0400

choose-mirror (2.04) unstable; urgency=low

  * Make sort-countries operate on choose-mirror-bin's templates file, not
    choose-mirror's.

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Jun 2006 19:17:43 +0100

choose-mirror (2.03) unstable; urgency=low

  * Make sure that the templates end up in the correct udeb.

 -- Frans Pop <fjp@debian.org>  Fri, 16 Jun 2006 22:30:27 +0200

choose-mirror (2.02) unstable; urgency=low

  * If choose-mirror is run with -n, don't set up or use a progress bar.
    For situations where a progress bar is already displayed.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Hebrew (he.po) by Lior Kaplan
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Khoem Sokhem
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Northern Sami (se.po) by Børre Gaup

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jun 2006 13:49:14 -0400

choose-mirror (2.01) unstable; urgency=low

  [ Christian Perrier ]
  * Split out Choices in templates

  [ Joey Hess ]
  * Support "Archive-architecture: any" in Mirrors.masterlist.
  * Rebuilt with new version of the masterlist, reflecting the mirror split
    and amd64 archive integration.
  * Remove special cases for amd64 mirror and directory.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
